    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------
    028     * DatasetGroup.java
    029     * -----------------
    030     * (C) Copyright 2002-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: DatasetGroup.java,v 1.4.2.1 2005/10/25 21:32:29 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 07-Oct-2002 : Version 1 (DG);
    040     * 26-Mar-2003 : Implemented Serializable (DG);
    041     * 20-Aug-2003 : Implemented Cloneable (DG);
    042     *
    043     */
    044
    045    package org.jfree.data.general;
    046
    047    import java.io.Serializable;
    048
    049    /**
    050     * A class that is used to group datasets (currently not used for any specific
    051     * purpose).
    052     */
    053    public class DatasetGroup implements Cloneable, Serializable {
    054
    055        /** For serialization. */
    056        private static final long serialVersionUID = -3640642179674185688L;
    057
    058        /** The group id. */
    059        private String id;
    060
    061        /**
    062         * Constructs a new group.
    063         */
    064        public DatasetGroup() {
    065            super();
    066            this.id = "NOID";
    067        }
    068
    069        /**
    070         * Creates a new group with the specified id.
    071         *
    072         * @param id  the identification for the group.
    073         */
    074        public DatasetGroup(String id) {
    075            if (id == null) {
    076                throw new IllegalArgumentException("Null 'id' argument.");
    077            }
    078            this.id = id;
    079        }
    080
    081        /**
    082         * Returns the identification string for this group.
    083         *
    084         * @return The identification string.
    085         */
    086        public String getID() {
    087            return this.id;
    088        }
    089
    090        /**
    091         * Clones the group.
    092         *
    093         * @return A clone.
    094         *
    095         * @throws CloneNotSupportedException not by this class.
    096         */
    097        public Object clone() throws CloneNotSupportedException {
    098            return super.clone();
    099        }
    100
    101        /**
    102         * Tests this instance for equality with an arbitrary object.
    103         *
    104         * @param obj  the object (<code>null</code> permitted).
    105         *
    106         * @return A boolean.
    107         */
    108        public boolean equals(Object obj) {
    109            if (obj == this) {
    110                return true;
    111            }
    112            if (!(obj instanceof DatasetGroup)) {
    113                return false;
    114            }
    115            DatasetGroup that = (DatasetGroup) obj;
    116            if (!this.id.equals(that.id)) {
    117                return false;
    118            }
    119            return true;
    120        }
    121
    122    }